use clap::Parser;

#[derive(Parser)]
#[command(version)]
pub struct Args {
    /// User Agent to use for requests
    #[arg(
        short,
        default_value = "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36"
    )]
    pub user_agent: String,

    // Tags to search for
    #[arg(short, long)]
    pub tags: Option<Vec<String>>,
}
